/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workapprovalcopy.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 抄送信息Entity
 * @author yangfan
 * @version 2017-07-21
 */
public class ApprovalCopy extends DataEntity<ApprovalCopy> {
	
	private static final long serialVersionUID = 1L;
	private String CCId;		// 抄送人
	private String type;		// 审批类型
	private String userId;		// 申请人
	private String userName;		// 申请人
	private String approvalId;		// 审批id
	private String approverId;		// 审批id
    private String readFlag;	// 本人阅读状态
    private String approverIdName;	// 本人阅读状态

    public String getReadFlag() {
        return readFlag;
    }

    public void setReadFlag(String readFlag) {
        this.readFlag = readFlag;
    }

    public String getApproverId() {
        return approverId;
    }

    public void setApproverId(String approverId) {
        this.approverId = approverId;
    }

    public ApprovalCopy() {
		super();
	}

	public ApprovalCopy(String id){
		super(id);
	}

	@ExcelField(title="抄送人", align=2, sort=7)
	public String getCCId() {
		return CCId;
	}

	public void setCCId(String CCId) {
		this.CCId = CCId;
	}
	
	@ExcelField(title="审批类型", align=2, sort=8)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="申请人", align=2, sort=9)
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	@ExcelField(title="审批id", align=2, sort=10)
	public String getApprovalId() {
		return approvalId;
	}

	public void setApprovalId(String approvalId) {
		this.approvalId = approvalId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getApproverIdName() {
		return approverIdName;
	}

	public void setApproverIdName(String approverIdName) {
		this.approverIdName = approverIdName;
	}
}